- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# MTargetBlendDesc Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Descriptor for a blend state for a single render target.

This class holds the complete blend state for a single render target. The blended result will be: result = !BlendEnable ? source : blendOperation(sourceBlendOption(source), destinationBlendOption(destination));

MBlendStateDesc maintains an array of MTargetBlendDesc of size MBlendState::kMaxTargets.

`#include <MStateManager.h>`

List of all members.

## Public Member Functions
| MTargetBlendDesc ()
| Constructor, builds a default target blend descriptor.
| ~MTargetBlendDesc ()
| Destructor.
void | setDefaults ()
| Set all values for the target blend state to their default values.
| MTargetBlendDesc (const MTargetBlendDesc &rDesc)
| NO SCRIPT SUPPORT.
MTargetBlendDesc & | operator= (const MTargetBlendDesc &rDesc)
| NO SCRIPT SUPPORT.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Public Attributes Search for all occurrences
bool | blendEnable
| Enable blending on this target, default is false. Search for all occurrences
MBlendState::BlendOption | sourceBlend
| The blend factor for the source color, default is one. Search for all occurrences
MBlendState::BlendOption | destinationBlend
| The blend factor for the destination color, default is zero. Search for all occurrences
MBlendState::BlendOperation | blendOperation
| The blend operation, default is add. Search for all occurrences
MBlendState::BlendOption | alphaSourceBlend
| The blend factor for the source alpha, default is one. Search for all occurrences
MBlendState::BlendOption | alphaDestinationBlend
| The blend factor for the destination alpha, default is zero. Search for all occurrences
MBlendState::BlendOperation | alphaBlendOperation
| The blend operation for alpha, default is add.
MBlendState::ChannelMask | targetWriteMask
| Indicates what color components(red, green, blue, alpha) are writable, the default is RGBA. Search for all occurrences

## Constructor & Destructor Documentation

MTargetBlendDesc | ( | const MTargetBlendDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Copy constructor.

Parameters:

  [in] | rDesc | The descriptor to copy

## Member Function Documentation

MTargetBlendDesc & operator= | ( | const MTargetBlendDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Assignment operator.

Parameters:

  [in] | rDesc | The descriptor to copy

Returns:
  Reference to this descriptor

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

## Member Data Documentation

MBlendState::ChannelMask targetWriteMask

Search for all occurrences

Indicates what color components(red, green, blue, alpha) are writable, the default is RGBA.

MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc
MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc MTargetBlendDesc